Summary: simple python bootloader config lib
Name: booty
Version: 0.80.6
Release: 7
License: LGPL
Group: System Environment/Libraries
BuildRoot: %{_tmppath}/%{name}-root
Requires: rhpl
BuildRequires: python-devel
BuildArch: noarch
Source0: %{name}-%{version}.tar.bz2
Patch0: booty-0.80.4-multipath.patch
Patch1: booty-0.80.4-bz464791-serial-init.patch
Patch2: booty-0.80.6-no-ia64-com-on-vmm.patch
Patch3: booty-0.80-add-zipl.conf-ramdisk-address.patch
Patch4: booty-0.80.6-add-hvargs-kickstart-option.patch 
Patch5: booty-0.80.6-write-out-hvargs-option-into-generated-ks.patch 

%description
Small python library for use with bootloader configuration by anaconda
and up2date.


%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1

%build
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README TODO
/usr/lib/booty


%changelog
* Fri Jan 08 2010 Radek Vykydal <rvykydal@redhat.com> - 0.80.6-7
- Add bootloader --hvargs kickstart option.
  Resolves: rhbz#552957
- Write out --hvargs kickstart option into anaconda-ks.cfg.
  Related: rhbz#552957

* Tue Oct 27 2009 Peter Jones <pjones@redhat.com> - 0.80.6-6
- Include zipl.conf ramdisk size parameter by default.
  Resolves: rhbz#429906

* Tue Oct 07 2008 Peter Jones <pjones@redhat.com> - 0.80.6-5
- Fix dropped changelog entries.
  Related: rhbz#465454

* Tue Oct 07 2008 Peter Jones <pjones@redhat.com> - 0.80.6-4
- Don't specify "com=$SPEED" on vmm= line for ia64. 
  Resolves: rhbz#465454

* Tue Sep 30 2008 Peter Jones <pjones@redhat.com> - 0.80.6-3
- Rework bootloaderInfo.serial's initialization.
  Resolves: rhbz#464791

* Fri Sep 26 2008 Peter Jones <pjones@redhat.com> - 0.80.6-2
- Re-incorperate dropped changelog entries that rpmdiff caught, 
  and dropped fix from 0.80.4-5.
  Related: rhbz#462843

* Thu Sep 25 2008 Peter Jones <pjones@redhat.com> - 0.80.6-1
- Fix ia64 xen command line writing
  Resolves: rhbz#462843

* Mon Jul 21 2008 Dave Lehman <dlehman@redhat.com> - 0.80.5-1
- Work correctly with root on LUKS encrypted device.
  Resolves: rhbz#455343

* Thu Feb 07 2008 Peter Jones <pjones@redhat.com> - 0.80.4-6
- Fix installation of boot sector to partitions on dmraid devices.
  Resolves: rhbz#236452

* Tue Aug 14 2007 David Cantrell <dcantrell@redhat.com> - 0.80.4-5
- Do not use LABEL= for non-dm devices, prevents boot failures
  Resolves: rhbz#250631

* Thu Jul 19 2007 Peter Jones <pjones@redhat.com> - 0.80.4-4
- Update fix for elilo.conf
  Resolves: rhbz#221455

* Wed Jul 18 2007 Peter Jones <pjones@redhat.com> - 0.80.4-3
- Include fix for elilo.conf on ia64 xen systems
  Resolves: rhbz#221455

* Tue Jun 19 2007 David Cantrell <dcantrell@redhat.com> - 0.80.4-2
- Do not use filesystem label (e.g., LABEL=) for multipath devices
  Related: rhbz#185852

* Thu Jan  4 2007 Peter Jones <pjones@redhat.com> - 0.80.4-1
- Include drives for /boot and stage1 in device.map (#218453)

* Mon Dec 18 2006 Peter Jones <pjones@redhat.com> - 0.80.3-1
- Use the right drive list so we don't get off-by-one errors, missing disks,
  etc. (Resolves: #217434)

* Fri Nov 17 2006 Chris Lumens  <clumens@redhat.com> - 0.80.2-1
- Use a sorted drive order so we don't clobber kickstart's bootloader
  config (#214881).

* Wed Nov  8 2006 Peter Jones <pjones@redhat.com> - 0.80.1-1
- Use isys's drive cache instead of creating our own, so we get dm device
  splitting/combining correctly.

* Wed Oct 11 2006 Peter Jones <pjones@redhat.com> - 0.80-1
- Copy "nodmraid" and "nompath" args from the kernel command line (#209377)

* Wed Jul 19 2006 Jeremy Katz <katzj@redhat.com> - 0.79-1
- fix ia64 serial console (#196709)

* Fri Jun 23 2006 Paul Nasrat <pnasrat@redhat.com> - 0.78-1
- Fix duplicate entries in boot= line on ppc

* Tue Jun 20 2006 Jeremy Katz <katzj@redhat.com> - 0.77-1
- fix for hv entry with new xen kernel naming (#196022) 

* Wed Jun 14 2006 Jeremy Katz <katzj@redhat.com> - 0.76-1
- handle new xen kernel naming

* Wed May 03 2006 Chris Lumens <clumens@redhat.com> 0.75-1
- Remove rogue reference to butil.

* Mon May  1 2006 Jeremy Katz <katzj@redhat.com> - 0.74=1
- add support for creating an isolinux.cfg for live CD
- remove no-longer used edd code
- use rhpl instead of butil copies of code
- build as noarch now

* Tue Mar 14 2006 Peter Jones <pjones@redhat.com> - 0.71-1
- pass through pci= boot arguments

* Wed Mar  8 2006 Peter Jones <pjones@redhat.com> - 0.70-1
- don't make fd0 entries in device.map, they screw up suspend/hibernate

* Mon Mar  6 2006 Jeremy Katz <katzj@redhat.com> - 0.69-1
- adjust for changed xen kernel naming

* Mon Feb 27 2006 Peter Jones <pjones@redhat.com> - 0.68-1
- sync between invocations of grub on smp
- default to "mbr", not "partition" for grub installation on md

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 0.67-1.1
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Chris Lumens <clumens@redhat.com> 0.67-1
- Fix syntax error.

* Mon Feb  6 2006 Peter Jones <pjones@redhat.com> - 0.66-1
- use "mapper/raidnamep0" for partition names instead of "mapper/raidname0"

* Tue Jan 31 2006 Peter Jones <pjones@redhat.com> - 0.65-1
- add support for reprobing device bootloaderInfo.drivelist

* Sat Jan  7 2006 Jeremy Katz <katzj@redhat.com> - 0.64-1
- fix syntax error

* Fri Jan  6 2006 Peter Jones <pjones@redhat.com> - 0.63-1
- don't write a log, for now.

* Wed Jan  4 2006 Peter Jones <pjones@redhat.com> - 0.62-1
- fix degraded raid detection for dmraid

* Fri Dec  9 2005 Jesse Keating <jkeating@redhat.com> - 0.61-1.1
- rebuilt

* Wed Nov 30 2005 Peter Jones <pjones@redhat.com> - 0.61-1
- add support for dmraid boot devices

* Fri Nov 18 2005 Peter Jones <pjones@redhat.com> - 0.60-3
- fix raid on ppc
- fix partition numbering on pegasos

* Fri Oct 28 2005 Jeremy Katz <katzj@redhat.com> - 0.59-1
- support serial console for xen

* Thu Oct 27 2005 Jeremy Katz <katzj@redhat.com> - 0.58-1
- quick version of getting xen dom0 kernel setup properly in grub.conf

* Tue Sep 13 2005 Paul Nasrat <pnasrat@redhat.com> 0.57-1
- ppc PMac fix

* Sat Aug 13 2005 Peter Jones <pjones@redhat.com> 0.56-1
- Even more ppc/yaboot fixes.

* Thu Aug 11 2005 Peter Jones <pjones@redhat.com> 0.55-1
- ppc "Pegasos" platform support

* Fri Jul  1 2005 Peter Jones <pjones@redhat.com> 0.54-1
- fix more missing sx8 checks
- no more tabs in python code
- ppc raid1 booting
- minor silo.conf bug fix

* Wed May 11 2005 Peter Jones <pjones@redhat.com> 0.53-1
- Make partition installs of grubs first stage behave right.

* Wed May  4 2005 Jeremy Katz <katzj@redhat.com> 0.52-1
- add enablecdboot, enableofboot, and enablenetboot to yaboot.conf 
- try to detect mac os x and set up dual boot on pmac

* Mon May  2 2005 Jeremy Katz <katzj@redhat.com>
- add handling for sx8 device names

* Wed Apr 13 2005 Peter Jones <pjones@redhat.com> 0.51-1
- make upgrades work with /boot on raid

* Wed Mar 09 2005 Chris Lumens <clumens@redhat.com> 0.50-1
- Make sure to write out a --driveorder parameter in the kickstart file
  (#140446).
- Do a better job of ignoring volume groups - for instance, if the user
  has changed the group's name away from our assumed VolGroupXX (#150630).

* Thu Mar 03 2005 Chris Lumens <clumens@redhat.com> 0.49-1
- Don't use deprecated whrandom module anymore.

* Mon Feb 21 2005 Peter Jones <pjones@redhat.com> 0.48-1
- removed silo debug crap
- fixed device.map generation when using LVM

* Mon Feb 21 2005 Chris Lumens <clumens@redhat.com> 0.47-1 
- Fixed typo on silo import.

* Fri Feb 18 2005 Peter Jones <pjones@redhat.com> 0.46-1
- add in silo.conf handling, so spot will stop harassing me.

* Mon Nov 22 2004 Karsten Hopp <karsten@redhat.de> 0.45-1 
- rebuild with python-2.4

* Mon Oct  4 2004 Jeremy Katz <katzj@redhat.com> - 0.44-1
- don't include /dev/ in the console name (#134336)
- fix installing boot loader to partition with RAID1 /boot (#127557)

* Mon Sep 13 2004 Jeremy Katz <katzj@redhat.com> - 0.43-1
- preserve some more consoles (#131301)
- add magicboot for Power Mac (from <pnasrat@redhat.com>)

* Tue Aug 10 2004 Jeremy Katz <katzj@redhat.com> - 0.42-1
- don't write the unencrypted password to lilo.conf.anaconda if
  we're not using lilo (#129280)

* Tue Aug  3 2004 Jeremy Katz <katzj@redhat.com> - 0.41-1
- don't duplicate boot loader arguments (#128492)

* Mon Jul 12 2004 Jeremy Katz <katzj@redhat.com> - 0.40-1
- another tweak to the timeout

* Mon Jun 28 2004 Jeremy Katz <katzj@redhat.com> - 0.39-1
- tweak timeouts to be shorter
- use hiddenmenu by default with grub

* Wed Jun  9 2004 Jeremy Katz <katzj@redhat.com>
- quote appended args (#114174)

* Thu May 13 2004 Jeremy Katz <katzj@redhat.com> 
- compile fix for newer versions of gcc from Jeff Law

* Thu May  6 2004 Jeremy Katz <katzj@redhat.com> - 0.38-1
- remove ide-scsi from bootloader config on upgrade (#116622)

* Thu May  6 2004 Jeremy Katz <katzj@redhat.com> - 0.37-1
- clean up the xfs fix (#122606)
- altix boxes need relocatable (#120851)

* Fri Apr 30 2004 Jeremy Katz <katzj@redhat.com> - 0.36-1
- some xfs fixes (#117968)

* Fri Apr 16 2004 Jeremy Katz <katzj@redhat.com> - 0.35-1
- allow booting windows from grub on x86_64 (#121005)

* Tue Mar 16 2004 Jeremy Katz <katzj@redhat.com> - 0.34-1
- use vmlinuz for ppc now

* Mon Dec  1 2003 Jeremy Katz <katzj@redhat.com> 0.33-1
- no ide-scsi with 2.6

* Fri Nov 28 2003 Jeremy Katz <katzj@redhat.com> 
- add buildrequires (#111150)

* Thu Nov  6 2003 Jeremy Katz <katzj@redhat.com> 0.32-1
- rebuild for python 2.3

* Thu Sep 25 2003 Jeremy Katz <katzj@redhat.com> 
- modernize label for other OS (#71565)

* Fri Aug 15 2003 Jeremy Katz <katzj@redhat.com> 0.31.1-1
- preserve video= (#102370)

* Fri Aug  1 2003 Jeremy Katz <katzj@redhat.com> 0.31-1
- write out noauto in chandev.conf if we have chandev args (#101381)

* Fri Jul 25 2003 Jeremy Katz <katzj@redhat.com> 
- only include message= or splashimage if the file exists (#99301)

* Wed Jul 23 2003 Jeremy Katz <katzj@redhat.com> 
- support yaboot passwords (#100618)

* Wed Jul 23 2003 Jeremy Katz <katzj@redhat.com> 0.30-1
- pass through acpi= boot arguments

* Thu Jul 10 2003 Jeremy Katz <katzj@redhat.com> 0.29.2-1
- read product name from /tmp/product/.buildstamp if it exists

* Thu Jul 10 2003 Jeremy Katz <katzj@redhat.com> 0.29.1-1
- yaboot: really fix kernel/initrd path

* Wed Jul  9 2003 Jeremy Katz <katzj@redhat.com> 0.29-1
- yaboot: quotes around append
- yaboot: nonvram for pSeries
- yaboot: fix partition=
- yaboot: fix kernel path

* Mon Jul  7 2003 Jeremy Katz <katzj@redhat.com> 0.28.1-1
- fix a typo (#98691)

* Thu Jul  3 2003 Jeremy Katz <katzj@redhat.com> 0.28-1
- write our own yaboot.conf to work better with lvm/raid (#98308)
- ensure the iSeries cmdline gets blanked

* Fri Jun 20 2003 Jeremy Katz <katzj@redhat.com> 0.27-1
- handle /boot as a separate partition on pSeries nicely
- setup /etc/elilo.conf symlink on ia64

* Wed Jun 18 2003 Jeremy Katz <katzj@redhat.com> 0.26.1-1
- remove efi boot entries based on product name, not just hardcoding 
  Red Hat Linux (#97653)

* Sun Jun  1 2003 Jeremy Katz <katzj@redhat.com> 0.26-1
- write kernel to side B on iSeries as well (#91038)

* Mon May 12 2003 Jeremy Katz <katzj@redhat.com> 0.25.9-1
- if there's not an old default on lilo upgrade, we don't need to 
  delete it (#88582)

* Fri May  2 2003 Jeremy Katz <katzj@redhat.com> 0.25.8-1
- really get the PReP partition writing right for iSeries

* Thu May  1 2003 Jeremy Katz <katzj@redhat.com> 0.25.7-1
- use root=LABEL= on s/390

* Wed Apr 30 2003 Jeremy Katz <katzj@redhat.com> 0.25.6-1
- iSeries tweak to get the kernel written to the PReP partition

* Wed Apr 30 2003 Jeremy Katz <katzj@redhat.com> 0.25.5-1
- yabootconfig moved to /sbin

* Tue Apr 29 2003 Jeremy Katz <katzj@redhat.com> 0.25.4-1
- tweaks to handle chandev now that it's in /tmp/install.cfg and not from 
  the env var

* Thu Apr 24 2003 Jeremy Katz <katzj@redhat.com> 0.25.3-1
- use Arjan's suggestion of vmlinitrd for iseries kernel + initrd

* Wed Apr 23 2003 Jeremy Katz <katzj@redhat.com> 0.25.2-1
- pseries tweaks

* Tue Apr 15 2003 Jeremy Katz <katzj@redhat.com> 0.25.1-1
- fix silly typos

* Mon Apr 14 2003 Jeremy Katz <katzj@redhat.com> 0.25-1
- iSeries support

* Mon Mar 24 2003 Jeremy Katz <katzj@redhat.com> 0.24.1-1
- make target global for zipl.conf

* Thu Mar 20 2003 Jeremy Katz <katzj@redhat.com> 0.24-1
- merge newer yaboot changes from Dan Burcaw

* Fri Mar 14 2003 Jeremy Katz <katzj@redhat.com> 0.23-1
- read product name information dynamically (using /etc/redhat-release and
  anaconda's /.buildstamp)

* Wed Mar 12 2003 Jeremy Katz <katzj@redhat.com> 0.22.1-1
- fix tyop

* Tue Mar  4 2003 Jeremy Katz <katzj@redhat.com> 0.22-1
- support for yaboot from Dan Burcaw <dburcaw@terrasoftsolutions.com>

* Mon Feb 24 2003 Karsten Hopp <karsten@redhat.de> 0.21-1
- s390 changes: zipl doesn't like lables, use devicename
-               don't write root= twice

* Wed Feb 19 2003 Karsten Hopp <karsten@redhat.de> 0.20-1
- s390 changes: write correct zipl.conf when bl.args is not set

* Wed Feb  5 2003 Jeremy Katz <katzj@redhat.com> 0.19-1
- make sure our lilo default is sane (#79594)

* Wed Jan 22 2003 Jeremy Katz <katzj@redhat.com> 0.18-1
- fix line for anaconda-ks.cfg when bootloader installed on partition

* Thu Jan 09 2003 Karsten Hopp <karsten@redhat.de> 0.17-1
- minor fixes for S390

* Thu Dec 12 2002 Jeremy Katz <katzj@redhat.com>
- fix for #78380 - parted has fat16 and fat32 types now

* Tue Nov  5 2002 Jeremy Katz <katzj@redhat.com>
- read some kernel arguments when setting up default kernel args (#69904)
- pychecker fixups

* Thu Oct  3 2002 Jeremy Katz <katzj@redhat.com>
- some x86_64 support

* Tue Sep 10 2002 Jeremy Katz <katzj@redhat.com>
- merge ia64 changes
- add alpha support based on 7.2 alpha code

* Wed Aug 14 2002 Jeremy Katz <katzj@redhat.com>
- fix lilo entry removal

* Fri Aug  2 2002 Jeremy Katz <katzj@redhat.com>
- include bootloader location in kickstart line

* Thu Aug  1 2002 Jeremy Katz <katzj@redhat.com>
- make sure old entries get removed from lilo.conf on upgrade

* Wed Jul 17 2002 Jeremy Katz <katzj@redhat.com>
- set up serial consoles properly during install

* Thu Jul 11 2002 Jeremy Katz <katzj@redhat.com>
- count first ntfs found as alternative os as its just as likely

* Fri Jun 28 2002 Jeremy Katz <katzj@redhat.com>
- write out root=LABEL= if using an initrd and rootfs has a label

* Thu Jun 27 2002 Jeremy Katz <katzj@redhat.com>
- grubby can do stuff with lilo.conf now, so we don't have to worry
  about updating lilo.conf in the upgrade only mode

* Thu Jun 20 2002 Jeremy Katz <katzj@redhat.com>
- add lilo password support

* Mon Jun 10 2002 Jeremy Katz <katzj@redhat.com>
- fix some missing iutil->butil bits

* Fri May 31 2002 Jeremy Katz <katzj@redhat.com>
- minor fixes

* Tue May 28 2002 Jeremy Katz <katzj@redhat.com>
- require rhpl

* Mon Jan 21 2002 Jeremy Katz <katzj@redhat.com>
- Initial build.
